#ifndef CHIP_MMAP_H
#define CHIP_MMAP_H


#ifdef CHIP_CORETYPE_CM7
#define CHIP_MEMRGN_ADDR_CM7_PPB                  0xE0100000UL  /**< CM7 PPB (1MB) */
#define CHIP_MEMRGN_ADDR_PCIE1                    0xD0000000UL  /**< PCIe-1 (128MB) */
#define CHIP_MEMRGN_ADDR_QSPI                     0xC0000000UL  /**< QSPI/FLASH (256MB) */
#endif

#define CHIP_MEMRGN_ADDR_DDR                      0x40000000UL  /**< DDR Memory (2GB - CM7, 8GB - CA53) */
#define CHIP_MEMRGN_ADDR_DDRC_PHY_BCAST           0x3DC00000UL  /**< DDR PHY (Broadcast) (4MB) */
#define CHIP_MEMRGN_ADDR_DDRC_PERF_MON            0x3D800000UL  /**< DDR PERF_MON (4MB) */
#define CHIP_MEMRGN_ADDR_DDRC_CTL                 0x3D400000UL  /**< DDR CTL (4MB) */
#define CHIP_MEMRGN_ADDR_DDRC_BLK_CTRL            0x3D000000UL  /**< DDR BLK_CTRL (1MB)  */
#define CHIP_MEMRGN_ADDR_DDRC_PHY                 0x3C000000UL  /**< DDR PHY (16MB)  */

#define CHIP_MEMRGN_ADDR_AUDIO_DSP                0x3B000000UL  /**< Audio DSP (16MB) */
#define CHIP_MEMRGN_ADDR_GICD                     0x38800000UL  /**< GIC Distributor */
#define CHIP_MEMRGN_ADDR_GICR                     0x38880000UL  /**< GIC Redistributor */
#define CHIP_MEMRGN_ADDR_NPU                      0x38500000UL  /**< NPU (2MB) */

#define CHIP_MEMRGN_ADDR_VPU                      0x38340000UL  /**< VPU (2MB) */
#define CHIP_MEMRGN_ADDR_VPU_BLK_CTRL             0x38330000UL  /**< VPU BLK_CTRL (2MB) */
#define CHIP_MEMRGN_ADDR_VPU_VC8000E_ENC          0x38320000UL  /**< VPU VC8000E Encoder (2MB) */
#define CHIP_MEMRGN_ADDR_VPU_G2_DEC               0x38310000UL  /**< VPU G2 Decoder (2MB) */
#define CHIP_MEMRGN_ADDR_VPU_G1_DEC               0x38300000UL  /**< VPU G1 Decoder (2MB) */

#define CHIP_MEMRGN_ADDR_PERIPH_USB2              0x38200000UL  /**< USB2 REG (1MB) */
#define CHIP_MEMRGN_ADDR_PERIPH_USB1              0x38100000UL  /**< USB1 REG (1MB) */
#define CHIP_MEMRGN_ADDR_PERIPH_GPU2D             0x38008000UL  /**< GPU2D REG (32KB) */
#define CHIP_MEMRGN_ADDR_PERIPH_GPU3D             0x38000000UL  /**< GPU3D REG (32KB) */
#define CHIP_MEMRGN_ADDR_PERIPH_QSPI_RXBUF        0x34000000UL  /**< QSPI1 RX Buffer (32MB) */
#define CHIP_MEMRGN_ADDR_PERIPH_PCIE1             0x33800000UL  /**< PCIe1 REG (4MB) */
#define CHIP_MEMRGN_ADDR_PERIPH_QSPI_TXBUF        0x33008000UL  /**< QSPI1 TX Buffer (32KB) */
#define CHIP_MEMRGN_ADDR_PERIPH_APBH_DMA          0x33000000UL  /**< APBH DMA (32KB)*/

#define CHIP_MEMRGN_ADDR_AIPS4                    0x32C00000UL  /**< AIPS-4 (4MB) */
#define CHIP_MEMRGN_ADDR_AIPS5                    0x30C00000UL  /**< AIPS-5 (4MB) */
#define CHIP_MEMRGN_ADDR_AIPS3                    0x30800000UL  /**< AIPS-3 (4MB) */
#define CHIP_MEMRGN_ADDR_AIPS2                    0x30400000UL  /**< AIPS-2 (4MB) */
#define CHIP_MEMRGN_ADDR_AIPS1                    0x30000000UL  /**< AIPS-1 (4MB) */

#define CHIP_MEMRGN_ADDR_A53_DAP                0x28000000UL  /**< A53 / DAP (16MB) */
#ifdef CHIP_CORETYPE_CM7
#define CHIP_MEMRGN_ADDR_CM7_OCRAM              0x20200000UL  /**< OCRAM CM7 ALIAS (576KB)*/
#define CHIP_MEMRGN_SIZE_CM7_OCRAM              CHIP_KB(576)
#define CHIP_MEMRGN_ADDR_CM7_OCRAM_S            0x20180000UL  /**< OCRAM_S CM7 ALIAS (36KB)*/
#define CHIP_MEMRGN_SIZE_CM7_OCRAM_S            CHIP_KB(36)
#define CHIP_MEMRGN_ADDR_CM7_CAAM               0x20100000UL  /**< CAAM CM7 ALIAS (32KB secure RAM)*/
#define CHIP_MEMRGN_SIZE_CM7_CAAM               CHIP_KB(32)
#define CHIP_MEMRGN_ADDR_CM7_DTCM               0x20000000UL  /**< CM7 DTCM (128KB) */
#define CHIP_MEMRGN_SIZE_CM7_DTCM               CHIP_KB(128)
#define CHIP_MEMRGN_ADDR_CM7_DDR_CODE           0x10000000UL  /**< DDR Code alias (2GB) */
#define CHIP_MEMRGN_SIZE_CM7_DDR_CODE           CHIP_GB(2)
#define CHIP_MEMRGN_ADDR_CM7_QSPI_CODE          0x08000000UL  /**< QSPI Code alias (256MB) */
#define CHIP_MEMRGN_SIZE_CM7_QSPI_CODE          CHIP_MB(256)
#else
#define CHIP_MEMRGN_ADDR_PCIE1                  0x18000000UL  /**< PCIe1  (128MB) */
#define CHIP_MEMRGN_SIZE_PCIE1                  CHIP_MB(128)
#define CHIP_MEMRGN_ADDR_QSPI                   0x08000000UL  /**< QSPI   (256MB)*/
#define CHIP_MEMRGN_SIZE_QSPI                   CHIP_MB(256)
#endif
#define CHIP_MEMRGN_ADDR_OCRAM                  0x00900000UL  /**< OCRAM  (576KB)*/
#define CHIP_MEMRGN_SIZE_OCRAM                  CHIP_KB(576)
#ifndef CHIP_CORETYPE_CM7
#define CHIP_MEMRGN_ADDR_DTCM                   0x00800000UL  /**< CA53 DTCM (128KB) */
#define CHIP_MEMRGN_SIZE_DTCM                   CHIP_KB(128)
#define CHIP_MEMRGN_ADDR_ITCM                   0x007E0000UL  /**< CA53 ITCM (128KB) */
#define CHIP_MEMRGN_SIZE_ITCM                   CHIP_KB(128)
#endif
#define CHIP_MEMRGN_ADDR_OCRAM_S                0x00180000UL  /**< OCRAM_S (36KB) */
#define CHIP_MEMRGN_SIZE_OCRAM_S                CHIP_KB(36)
#define CHIP_MEMRGN_ADDR_CAAM                   0x00100000UL  /**< CAAM (32KB secure RAM) */
#define CHIP_MEMRGN_SIZE_CAAM                   CHIP_KB(32)
#ifdef CHIP_CORETYPE_CM7
#define CHIP_MEMRGN_ADDR_CM7_ITCM               0x00000000UL  /**< CM7 ITCM (128KB) */
#define CHIP_MEMRGN_SIZE_CM7_ITCM               CHIP_KB(128)
#else
#define CHIP_MEMRGN_ADDR_BOOT_PROT              0x0003F000UL  /**< Boot ROM - Protected area (4KB) */
#define CHIP_MEMRGN_SIZE_BOOT_PROT              CHIP_KB(4)
#define CHIP_MEMRGN_ADDR_BOOT                   0x00000000UL  /**< Boot ROM */
#define CHIP_MEMRGN_SIZE_BOOT                   CHIP_KB(254)
#endif





/* Table 2-1. SDMA1 Peripheral Memory Map */
#define CHIP_MEMRGN_ADDR_SDMA1_SPBA               0xF000
#define CHIP_MEMRGN_ADDR_SDMA1_CAN_FD2            0xD000
#define CHIP_MEMRGN_ADDR_SDMA1_CAN_FD1            0xC000
#define CHIP_MEMRGN_ADDR_SDMA1_USART2             0x9000
#define CHIP_MEMRGN_ADDR_SDMA1_USART3             0x8000
#define CHIP_MEMRGN_ADDR_SDMA1_USART1             0x6000
#define CHIP_MEMRGN_ADDR_SDMA1_ECSPI3             0x4000
#define CHIP_MEMRGN_ADDR_SDMA1_ECSPI2             0x3000
#define CHIP_MEMRGN_ADDR_SDMA1_ECSPI1             0x2000

/* SDMA2/3 Peripheral Memory Map */
#define CHIP_MEMRGN_ADDR_SDMA23_SPBA              0xF000
#define CHIP_MEMRGN_ADDR_SDMA23_EARC              0xC000
#define CHIP_MEMRGN_ADDR_SDMA23_HDMI_TX           0xB000
#define CHIP_MEMRGN_ADDR_SDMA23_PDM               0xA000
#define CHIP_MEMRGN_ADDR_SDMA23_ASRC              0x9000
#define CHIP_MEMRGN_ADDR_SDMA23_SAI7              0x8000
#define CHIP_MEMRGN_ADDR_SDMA23_SAI6              0x6000
#define CHIP_MEMRGN_ADDR_SDMA23_SAI5              0x5000
#define CHIP_MEMRGN_ADDR_SDMA23_SAI3              0x3000
#define CHIP_MEMRGN_ADDR_SDMA23_SAI2              0x2000
#define CHIP_MEMRGN_ADDR_SDMA23_SAI1              0x1000

/* GIC memory map */
#define CHIP_MEMRGN_ADDR_GIC_DISTR                (CHIP_MEMRGN_ADDR_GIC + 0x00000)
#define CHIP_MEMRGN_ADDR_GIC_REDISTR              (CHIP_MEMRGN_ADDR_GIC + 0x80000)

/* Table 2-3. AIPS1 Memory Map */
#define CHIP_MEMRGN_ADDR_PERIPH_AIPS1_CFG         (CHIP_MEMRGN_ADDR_AIPS1 + 0x1F0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_GPIO1             (CHIP_MEMRGN_ADDR_AIPS1 + 0x200000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_GPIO2             (CHIP_MEMRGN_ADDR_AIPS1 + 0x210000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_GPIO3             (CHIP_MEMRGN_ADDR_AIPS1 + 0x220000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_GPIO4             (CHIP_MEMRGN_ADDR_AIPS1 + 0x230000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_GPIO5             (CHIP_MEMRGN_ADDR_AIPS1 + 0x240000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_GPIO(i)           (CHIP_MEMRGN_ADDR_PERIPH_GPIO1 + (i)*0x010000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_TMU               (CHIP_MEMRGN_ADDR_AIPS1 + 0x260000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_ANA_OSC           (CHIP_MEMRGN_ADDR_AIPS1 + 0x270000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_WDOG1             (CHIP_MEMRGN_ADDR_AIPS1 + 0x280000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_WDOG2             (CHIP_MEMRGN_ADDR_AIPS1 + 0x290000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_WDOG3             (CHIP_MEMRGN_ADDR_AIPS1 + 0x2A0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_GPT1              (CHIP_MEMRGN_ADDR_AIPS1 + 0x2D0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_GPT2              (CHIP_MEMRGN_ADDR_AIPS1 + 0x2E0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_GPT3              (CHIP_MEMRGN_ADDR_AIPS1 + 0x2F0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_IOMUXC            (CHIP_MEMRGN_ADDR_AIPS1 + 0x330000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_IOMUXC_GPR        (CHIP_MEMRGN_ADDR_AIPS1 + 0x340000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_OCOTP_CTRL        (CHIP_MEMRGN_ADDR_AIPS1 + 0x350000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_ANA_PLL           (CHIP_MEMRGN_ADDR_AIPS1 + 0x360000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_SNVS_HP           (CHIP_MEMRGN_ADDR_AIPS1 + 0x370000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_CCM               (CHIP_MEMRGN_ADDR_AIPS1 + 0x380000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_SRC               (CHIP_MEMRGN_ADDR_AIPS1 + 0x390000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_GPC               (CHIP_MEMRGN_ADDR_AIPS1 + 0x3A0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_RDC_SEMA1         (CHIP_MEMRGN_ADDR_AIPS1 + 0x3B0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_RDC_SEMA2         (CHIP_MEMRGN_ADDR_AIPS1 + 0x3C0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_RDC               (CHIP_MEMRGN_ADDR_AIPS1 + 0x3D0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_CSU               (CHIP_MEMRGN_ADDR_AIPS1 + 0x3E0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_CSU               (CHIP_MEMRGN_ADDR_AIPS1 + 0x3E0000UL)

/* Table 2-4. AIPS2 Memory Map */
#define CHIP_MEMRGN_ADDR_PERIPH_AIPS2_CFG         (CHIP_MEMRGN_ADDR_AIPS2 + 0x1F0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_PWM1              (CHIP_MEMRGN_ADDR_AIPS2 + 0x260000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_PWM2              (CHIP_MEMRGN_ADDR_AIPS2 + 0x270000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_PWM3              (CHIP_MEMRGN_ADDR_AIPS2 + 0x280000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_PWM4              (CHIP_MEMRGN_ADDR_AIPS2 + 0x290000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_SYSCTR_RD         (CHIP_MEMRGN_ADDR_AIPS2 + 0x2A0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_SYSCTR_CMP        (CHIP_MEMRGN_ADDR_AIPS2 + 0x2B0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_SYSCTR_CTRL       (CHIP_MEMRGN_ADDR_AIPS2 + 0x2C0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_GPT6              (CHIP_MEMRGN_ADDR_AIPS2 + 0x2E0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_GPT5              (CHIP_MEMRGN_ADDR_AIPS2 + 0x2F0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_GPT4              (CHIP_MEMRGN_ADDR_AIPS2 + 0x300000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_PERFMON1          (CHIP_MEMRGN_ADDR_AIPS2 + 0x3C0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_PERFMON2          (CHIP_MEMRGN_ADDR_AIPS2 + 0x3D0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_QOSC              (CHIP_MEMRGN_ADDR_AIPS2 + 0x3F0000UL)

/* Table 2-5. AIPS3 Memory Map */
#define CHIP_MEMRGN_ADDR_PERIPH_ECSPI1            (CHIP_MEMRGN_ADDR_AIPS3 + 0x020000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_ECSPI2            (CHIP_MEMRGN_ADDR_AIPS3 + 0x030000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_ECSPI3            (CHIP_MEMRGN_ADDR_AIPS3 + 0x040000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_UART1             (CHIP_MEMRGN_ADDR_AIPS3 + 0x060000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_UART3             (CHIP_MEMRGN_ADDR_AIPS3 + 0x080000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_UART2             (CHIP_MEMRGN_ADDR_AIPS3 + 0x090000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_FLEXCAN1          (CHIP_MEMRGN_ADDR_AIPS3 + 0x0C0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_FLEXCAN2          (CHIP_MEMRGN_ADDR_AIPS3 + 0x0D0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_SPBA1             (CHIP_MEMRGN_ADDR_AIPS3 + 0x0F0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_CAAM              (CHIP_MEMRGN_ADDR_AIPS3 + 0x100000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_AIPS3_CFG         (CHIP_MEMRGN_ADDR_AIPS3 + 0x1F0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_I2C1              (CHIP_MEMRGN_ADDR_AIPS3 + 0x220000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_I2C2              (CHIP_MEMRGN_ADDR_AIPS3 + 0x230000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_I2C3              (CHIP_MEMRGN_ADDR_AIPS3 + 0x240000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_I2C4              (CHIP_MEMRGN_ADDR_AIPS3 + 0x250000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_UART4             (CHIP_MEMRGN_ADDR_AIPS3 + 0x260000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_IRQ_STEER         (CHIP_MEMRGN_ADDR_AIPS3 + 0x280000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_MU_1_A            (CHIP_MEMRGN_ADDR_AIPS3 + 0x2A0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_MU_1_B            (CHIP_MEMRGN_ADDR_AIPS3 + 0x2B0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_SEMA_HS           (CHIP_MEMRGN_ADDR_AIPS3 + 0x2C0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_I2C5              (CHIP_MEMRGN_ADDR_AIPS3 + 0x2D0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_I2C6              (CHIP_MEMRGN_ADDR_AIPS3 + 0x2E0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_USDHC1            (CHIP_MEMRGN_ADDR_AIPS3 + 0x340000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_USDHC2            (CHIP_MEMRGN_ADDR_AIPS3 + 0x350000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_USDHC3            (CHIP_MEMRGN_ADDR_AIPS3 + 0x360000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_QSPI              (CHIP_MEMRGN_ADDR_AIPS3 + 0x3B0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_ENET1             (CHIP_MEMRGN_ADDR_AIPS3 + 0x3E0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_ENET2_TSN         (CHIP_MEMRGN_ADDR_AIPS3 + 0x3F0000UL)

/* Table 2-6. AIPS4 Memory Map */
#define CHIP_MEMRGN_ADDR_PERIPH_AIPS4_CFG         (CHIP_MEMRGN_ADDR_AIPS4 + 0x1F0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_ISI               (CHIP_MEMRGN_ADDR_AIPS4 + 0x200000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_ISP1              (CHIP_MEMRGN_ADDR_AIPS4 + 0x210000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_ISP2              (CHIP_MEMRGN_ADDR_AIPS4 + 0x220000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_IPS_DEWARP        (CHIP_MEMRGN_ADDR_AIPS4 + 0x230000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_MIPI_CSI1         (CHIP_MEMRGN_ADDR_AIPS4 + 0x240000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_MIPI_CSI2         (CHIP_MEMRGN_ADDR_AIPS4 + 0x250000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_MIPI_DSI1         (CHIP_MEMRGN_ADDR_AIPS4 + 0x260000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_LCDIF1            (CHIP_MEMRGN_ADDR_AIPS4 + 0x280000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_LCDIF2            (CHIP_MEMRGN_ADDR_AIPS4 + 0x290000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_MEDIA_BLK_CTRL    (CHIP_MEMRGN_ADDR_AIPS4 + 0x2C0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_PCIE_PHY          (CHIP_MEMRGN_ADDR_AIPS4 + 0x300000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_HSIO_BLK_CTRL     (CHIP_MEMRGN_ADDR_AIPS4 + 0x310000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_TZASC             (CHIP_MEMRGN_ADDR_AIPS4 + 0x380000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_HDMI_TX           (CHIP_MEMRGN_ADDR_AIPS4 + 0x3C0000UL)

/* Table 2-7.  AIPS5 Memory Map */
#define CHIP_MEMRGN_ADDR_PERIPH_SAI1              (CHIP_MEMRGN_ADDR_AIPS5 + 0x010000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_SAI2              (CHIP_MEMRGN_ADDR_AIPS5 + 0x020000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_SAI3              (CHIP_MEMRGN_ADDR_AIPS5 + 0x030000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_SAI5              (CHIP_MEMRGN_ADDR_AIPS5 + 0x050000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_SAI6              (CHIP_MEMRGN_ADDR_AIPS5 + 0x060000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_SAI7              (CHIP_MEMRGN_ADDR_AIPS5 + 0x080000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_ASRC              (CHIP_MEMRGN_ADDR_AIPS5 + 0x090000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_PDM               (CHIP_MEMRGN_ADDR_AIPS5 + 0x0A0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_HDMI_TX_AUDLNK    (CHIP_MEMRGN_ADDR_AIPS5 + 0x0B0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_EARC              (CHIP_MEMRGN_ADDR_AIPS5 + 0x0C0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_SPBA2             (CHIP_MEMRGN_ADDR_AIPS5 + 0x0F0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_AIPS5_CFG         (CHIP_MEMRGN_ADDR_AIPS5 + 0x1F0000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_SDMA3             (CHIP_MEMRGN_ADDR_AIPS5 + 0x200000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_SDMA2             (CHIP_MEMRGN_ADDR_AIPS5 + 0x210000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_AUDIO_BLK_CTRL    (CHIP_MEMRGN_ADDR_AIPS5 + 0x220000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_EDMA_MNGMT        (CHIP_MEMRGN_ADDR_AIPS5 + 0x230000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_EDMA_CH0_15       (CHIP_MEMRGN_ADDR_AIPS5 + 0x240000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_EDMA_CH16_31      (CHIP_MEMRGN_ADDR_AIPS5 + 0x250000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_MU_2_A            (CHIP_MEMRGN_ADDR_AIPS5 + 0x260000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_MU_2_B            (CHIP_MEMRGN_ADDR_AIPS5 + 0x270000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_MU_3_A            (CHIP_MEMRGN_ADDR_AIPS5 + 0x280000UL)
#define CHIP_MEMRGN_ADDR_PERIPH_MU_3_B            (CHIP_MEMRGN_ADDR_AIPS5 + 0x290000UL)


#endif // CHIP_MMAP_H
